---
updatedAt: 2025-06-05T20:53:35.000Z
agentTools:
  projectIndex: https://developers.mindmeister.com/llms.txt
---

# /maps/{id}.docx

Get the map as a Microsoft Word docx file.

### Scopes

* **mindmeister.readonly**
* **mindmeister**

> 📘 Pro subscription required
>
> The resource owner must have a valid subscription of the Pro plan to get the map as a docx file.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-settings",
    "version": "2"
  },
  "servers": [
    {
      "url": "https://www.mindmeister.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "access_token",
        "in": "query",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/maps/{id}.docx": {
      "get": {
        "summary": "/maps/{id}.docx",
        "description": "Get the map as a Microsoft Word docx file.",
        "operationId": "maps-as-docxc",
        "parameters": [
          {
            "name": "links",
            "in": "query",
            "description": "Show links on nodes in docx file.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "icons",
            "in": "query",
            "description": "Show icons on nodes in docx file.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "images",
            "in": "query",
            "description": "Show images on nodes in docx file.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "tasks",
            "in": "query",
            "description": "Show tasks on nodes in docx file.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "attachments",
            "in": "query",
            "description": "Embed attachments on nodes to docx file.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "comments",
            "in": "query",
            "description": "Show comments on nodes in docx file.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "votes",
            "in": "query",
            "description": "Show votes on nodes in docx file.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "header_numbering",
            "in": "query",
            "description": "Add numbering on headers to docx file.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "content_table",
            "in": "query",
            "description": "Add table of content to docx file.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "cover_page",
            "in": "query",
            "description": "Add cover page to docx file.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "header",
            "in": "query",
            "description": "Show page header in docx file.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "footer",
            "in": "query",
            "description": "Show page footer in docx file.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "notes",
            "in": "query",
            "description": "If 'true' add HTML notes, if 'plain' add just plain text of notes and if 'false' notes are excluded in docx file.",
            "schema": {
              "type": "string",
              "default": "true"
            }
          },
          {
            "name": "max_header_level",
            "in": "query",
            "description": "If set, only add nodes with a lower rank than max_header_level to docx file.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "A docx file of the requested map."
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -H \"Authorization: Bearer ACCESS_TOKEN\" https://www.mindmeister.com/api/v2/maps/1024.docx?votes=false&tasks=false"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```